Page MenuHomePhabricator

[ASTImporter] Fix import of NestedNameSpecifierLoc.
ClosedPublic

Authored by balazske on Dec 6 2018, 2:01 AM.

Details

Summary

Import type location in case of TypeSpec and TypeSpecWithTemplate.
Without this fix the imported NespedNameSpecifierLoc will have an
invalid begin location.

Diff Detail

Repository
rL LLVM

Event Timeline

balazske created this revision.Dec 6 2018, 2:01 AM
Herald added a project: Restricted Project. · View Herald Transcript
Herald added a subscriber: jdoerfert. · View Herald Transcript
a_sidorin accepted this revision.Mar 10 2019, 8:33 AM

Looks good!

This revision is now accepted and ready to land.Mar 10 2019, 8:33 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMar 14 2019, 7:20 AM